CREATE OR REPLACE VIEW V_SALDKONT AS (
	SELECT S.ID_SALDKONT AS SALDKONT_ID_SALDKONT, S.N_RACUNA AS SALDKONT_N_RACUNA, S.DATUM AS SALDKONT_DATUM, S.ZA_PLACILO AS SALDKONT_ZA_PLACILO, S.PORABLJENO AS SALDKONT_PORABLJENO, S.VALUTA_RN AS SALDKONT_VALUTA_RN,
  S.DATUM_VALUTACIJE AS SALDKONT_DATUM_VALUTACIJE, S.VRSTA_RACUNA AS SALDKONT_VRSTA_RACUNA, S.USER_KREIRANJA AS SALDKONT_USER_KREIRANJA, S.DATUM_KREIRANJA AS SALDKONT_DATUM_KREIRANJA,
  S.USER_SPREMEMBE AS SALDKONT_USER_SPREMEMBE, S.DATUM_SPREMEMBE AS SALDKONT_DATUM_SPREMEMBE, S.ID_KUPCA AS SALDKONT_ID_KUPCA, S.ID_PLOVILA AS SALDKONT_ID_PLOVILA, S.ZAPRTO AS SALDKONT_ZAPRTO,
  S.SDK_RN_PL AS SALDKONT_SDK_RN_PL, S.LASTNIK_OBVESCEN AS SALDKONT_LASTNIK_OBVESCEN, N.OPIS AS M_NNSTOMAR_OPIS, N.KAT AS M_NNSTOMAR_KAT, N.TIMEKAT AS M_NNSTOMAR_TIMEKAT,
  D.ID_PRINT_DOK AS PRINT_DOK_ID_PRINT_DOK, D.STEVILKA AS PRINT_DOK_STEVILKA, D.OPIS AS PRINT_DOK_OPIS, D.DATOTEKA AS PRINT_DOK_DATOTEKA, D.PDF AS PRINT_DOK_PDF, D.OBJAVI AS PRINT_DOK_OBJAVI
	FROM SALDKONT S
  LEFT OUTER JOIN RACUN_DATA R ON R.ID_SALDKONT = S.ID_SALDKONT
  LEFT OUTER JOIN M_STORITVE M ON M.ID_STORITVE = R.ID_STORITVE
  LEFT OUTER JOIN M_NNSTOMAR N ON N.SIFRA = M.STORITEV
  LEFT OUTER JOIN PRINT_DOK D ON D.MODUL = S.VRSTA_RACUNA AND D.REFERENCA = S.ID_SALDKONT
  WHERE R.ZAP_ST IS NULL OR R.ZAP_ST = 1
);


CREATE OR REPLACE VIEW V_SALDKONT_IZPISEK AS (
	SELECT S.ID_SALDKONT_IZPISEK AS SI_ID_SALDKONT_IZPISEK, S.ID_KUPCA AS SI_ID_KUPCA, S.STEVILKA AS SI_STEVILKA, S.DATE_FROM AS SI_DATE_FROM, S.DATE_TO AS SI_DATE_TO, S.START_BALANCE AS SI_START_BALANCE,
  S.DEBIT_SUM AS SI_DEBIT_SUM, S.CREDIT_SUM AS SI_CREDIT_SUM, S.FINAL_BALANCE AS SI_FINAL_BALANCE, S.AMOUNT_1M AS SI_AMOUNT_1M, S.AMOUNT_2M AS SI_AMOUNT_2M, S.AMOUNT_3M AS SI_AMOUNT_3M,
  S.USER_CREATE AS SI_USER_CREATE, S.CREATE_DATE AS SI_CREATE_DATE, S.COMPLETE AS SI_COMPLETE, S.ID_BATCH AS SI_ID_BATCH, S.DEPOSITS AS SI_DEPOSITS, S.PAY_DATE AS SI_PAY_DATE, S.LASTNIK_OBVESCEN
  AS SI_LASTNIK_OBVESCEN, S.SEND AS SI_SEND,
  D.ID_PRINT_DOK AS PRINT_DOK_ID_PRINT_DOK, D.STEVILKA AS PRINT_DOK_STEVILKA, D.OPIS AS PRINT_DOK_OPIS, D.DATOTEKA AS PRINT_DOK_DATOTEKA, D.PDF AS PRINT_DOK_PDF, D.OBJAVI AS PRINT_DOK_OBJAVI
	FROM SALDKONT_IZPISEK S
  LEFT OUTER JOIN PRINT_DOK D ON D.MODUL = 'IZPISEK' AND D.REFERENCA = S.ID_SALDKONT_IZPISEK
);

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(554, SYSDATE, '5.5', 474, 'VSaldkont in VSaldkontIzpisek');