CREATE OR REPLACE VIEW V_REZERVAC AS (
SELECT R.ID AS ID_REZERVAC, D.ID_REZERVAC_DETAIL, R.ID_POGODBE, D.DATUM_OD AS RD_DATE_FROM, D.DATUM_DO AS RD_DATE_TO,
(CASE WHEN R.STATUS_REZERVAC = 2 THEN (SELECT NN.OBJEKT FROM NNPRIVEZ NN, NNOBJEKT NO WHERE NN.OBJEKT = NO.SIFRA AND NO.OBJECT_TYPE = 'EXIT') ELSE RDNP.OBJEKT END) AS RD_OBJEKT, 
(CASE WHEN R.STATUS_REZERVAC = 2 THEN (SELECT NN.N_PRIVEZA FROM NNPRIVEZ NN, NNOBJEKT NO WHERE NN.OBJEKT = NO.SIFRA AND NO.OBJECT_TYPE = 'EXIT') ELSE RDNP.N_PRIVEZA END) AS RD_N_PRIVEZA,
(CASE WHEN R.STATUS_REZERVAC = 2 THEN (SELECT NN.ID_PRIVEZ FROM NNPRIVEZ NN, NNOBJEKT NO WHERE NN.OBJEKT = NO.SIFRA AND NO.OBJECT_TYPE = 'EXIT') ELSE RDNP.ID_PRIVEZ END) AS RD_ID_PRIVEZ,
R.VRSTA, D.STATUS_REZERVAC AS RD_STATUS_REZERVAC, D.COMPLETE AS RD_COMPLETE, D.VRSTA AS RD_VRSTA, R.ID_LASTNIKA, R.ID_PLOVILA, 
(CASE WHEN R.STATUS_REZERVAC = 2 THEN 'EXIT' ELSE NNO.OBJECT_TYPE END) AS OBJECT_TYPE,
(CASE WHEN R.STATUS_REZERVAC = 2 THEN (SELECT OBLIKA FROM NNOBJEKT WHERE OBJECT_TYPE = 'EXIT') ELSE NNO.OBLIKA END) AS NNOBJEKT_OBLIKA,
(CASE WHEN R.STATUS_REZERVAC = 2 THEN (SELECT CENTER_POZICIJA_PLOVILA FROM NNOBJEKT WHERE OBJECT_TYPE = 'EXIT') ELSE NNO.CENTER_POZICIJA_PLOVILA END) AS CENTER_POZICIJA_PLOVILA,
MP.OBJEKT AS POGODBA_OBJEKT, MP.N_PRIVEZA AS POGODBA_N_PRIVEZA, R.DATUM_REZERVACIJE AS R_DATE_FROM, R.DATUM_DO AS R_DATE_TO,
RNP.OBJEKT AS R_OBJEKT, RNP.N_PRIVEZA AS R_N_PRIVEZA, RNP.ID_PRIVEZ AS R_ID_PRIVEZ, R.STATUS_REZERVAC AS R_STATUS_REZERVAC,
(CASE WHEN R.STATUS_REZERVAC = 2 THEN (SELECT NS.DOLZINA FROM NNPRIVEZ_SVG NS, NNPRIVEZ NN, NNOBJEKT NO WHERE NS.ID_PRIVEZ = NN.ID_PRIVEZ AND NN.OBJEKT = NO.SIFRA AND NO.OBJECT_TYPE = 'EXIT') ELSE NS.DOLZINA END) AS DOLZINA_PRIVEZA, 
(CASE WHEN R.STATUS_REZERVAC = 2 THEN (SELECT NS.SIRINA FROM NNPRIVEZ_SVG NS, NNPRIVEZ NN, NNOBJEKT NO WHERE NS.ID_PRIVEZ = NN.ID_PRIVEZ AND NN.OBJEKT = NO.SIFRA AND NO.OBJECT_TYPE = 'EXIT') ELSE NS.SIRINA END) AS SIRINA_PRIVEZA, 
(CASE WHEN R.STATUS_REZERVAC = 2 THEN (SELECT NS.TRANS_X FROM NNPRIVEZ_SVG NS, NNPRIVEZ NN, NNOBJEKT NO WHERE NS.ID_PRIVEZ = NN.ID_PRIVEZ AND NN.OBJEKT = NO.SIFRA AND NO.OBJECT_TYPE = 'EXIT') ELSE NS.TRANS_X END) AS TRANS_X_PRIVEZA, 
(CASE WHEN R.STATUS_REZERVAC = 2 THEN (SELECT NS.TRANS_Y FROM NNPRIVEZ_SVG NS, NNPRIVEZ NN, NNOBJEKT NO WHERE NS.ID_PRIVEZ = NN.ID_PRIVEZ AND NN.OBJEKT = NO.SIFRA AND NO.OBJECT_TYPE = 'EXIT') ELSE NS.TRANS_Y END) AS TRANS_Y_PRIVEZA, 
(CASE WHEN R.STATUS_REZERVAC = 2 THEN (SELECT NS.ROT_DEGREES FROM NNPRIVEZ_SVG NS, NNPRIVEZ NN, NNOBJEKT NO WHERE NS.ID_PRIVEZ = NN.ID_PRIVEZ AND NN.OBJEKT = NO.SIFRA AND NO.OBJECT_TYPE = 'EXIT') ELSE NS.ROT_DEGREES END) AS ROT_DEGREES_PRIVEZA, 
RD.TRANS_X AS TRANS_X_PLOVILA, RD.TRANS_Y AS TRANS_Y_PLOVILA, RD.ROT_DEGREES AS ROT_DEGREES_PLOVILA, R.KOMENTAR, K.ID_MEMBER AS KUPCI_ID_MEMBER, VPR.NNLOCATION_ID AS R_ID_LOCATION, 
(CASE WHEN R.STATUS_REZERVAC = 2 THEN (SELECT VPL.NNLOCATION_ID FROM V_PRIVEZ_LOCATION VPL, NNPRIVEZ NN, NNOBJEKT NO WHERE VPL.ID_PRIVEZ = NN.ID_PRIVEZ AND NN.OBJEKT = NO.SIFRA AND NO.OBJECT_TYPE = 'EXIT') ELSE VPD.NNLOCATION_ID END) AS RD_ID_LOCATION,
(CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN R.NAZIV ELSE K.PRIIMEK END) AS NAZIV,
(CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN R.PRIIMEK ELSE K.PRIIMEK END) AS PRIIMEK,
(CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN R.IME ELSE K.IME END) AS IME, K.SALDAKONTI_SIT,
(CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN R.EMAIL ELSE K.EMAIL END) AS EMAIL,
(CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN R.TELEFON ELSE K.TELEFON_1 END) AS TELEFON,
(CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN NULL ELSE K.TELEX END) AS TELEX,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.PLOVILO ELSE P.IME END) AS PLOVILO,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.DOLZINA ELSE P.DOLZINA END) AS DOLZINA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.SIRINA ELSE P.SIRINA END) AS SIRINA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.VISINA ELSE P.VISINA END) AS VISINA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.GREZ ELSE P.GREZ END) AS GREZ,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.NTIP ELSE P.NTIP END) AS NTIP,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.OPIS ELSE NT.OPIS END) AS TIP_PLOVILA_LONG,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.NNTIP_TYPE ELSE NT.NNTIP_TYPE END) AS NNTIP_TYPE,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.DOLZINA ELSE NT.DOLZINA END) AS NNTIP_DOLZINA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.SIRINA ELSE NT.SIRINA END) AS NNTIP_SIRINA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.VISINA ELSE NT.VISINA END) AS NNTIP_VISINA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NULL ELSE P.REGISTRSKA_N END) AS REGISTRSKA_N,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NULL ELSE P.NZASTAVA END) AS NZASTAVA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NULL ELSE ND.OPIS END) AS NZASTAVA_LONG,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.BARVA ELSE NT.BARVA END) AS BARVA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.SVG_OBLIKA_TOP ELSE NT.SVG_OBLIKA_TOP END) AS SVG_OBLIKA_TOP,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.SVG_OBLIKA_FRONT ELSE NT.SVG_OBLIKA_FRONT END) AS SVG_OBLIKA_FRONT,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NULL ELSE P.PROIZVAJALEC END) AS PROIZVAJALEC
FROM REZERVAC R
JOIN REZERVAC_DETAIL D ON R.ID=D.ID_REZERVAC
LEFT OUTER JOIN NNPRIVEZ RDNP ON D.ID_PRIVEZ=RDNP.ID_PRIVEZ
LEFT OUTER JOIN NNPRIVEZ RNP ON R.ID_PRIVEZ=RNP.ID_PRIVEZ
LEFT OUTER JOIN KUPCI K ON K.ID = R.ID_LASTNIKA
LEFT OUTER JOIN PLOVILA P ON P.ID = R.ID_PLOVILA
LEFT OUTER JOIN NNTIP NT ON NT.SIFRA = P.NTIP
LEFT OUTER JOIN NNTIP NTR ON NTR.SIFRA = R.NTIP
LEFT OUTER JOIN NNDRZAVE ND ON ND.SIFRA = P.NZASTAVA
LEFT OUTER JOIN NNOBJEKT NNO ON NNO.SIFRA = RDNP.OBJEKT
LEFT OUTER JOIN M_POGODBE MP ON MP.ID_POGODBE = R.ID_POGODBE
LEFT OUTER JOIN NNPRIVEZ_SVG NS ON NS.ID_PRIVEZ = D.ID_PRIVEZ
LEFT OUTER JOIN REZERVAC_DETAIL_SVG RD ON RD.ID_REZERVAC_DETAIL = D.ID_REZERVAC_DETAIL
LEFT OUTER JOIN V_PRIVEZ_LOCATION VPR ON VPR.ID_PRIVEZ = R.ID_PRIVEZ
LEFT OUTER JOIN V_PRIVEZ_LOCATION VPD ON VPD.ID_PRIVEZ = D.ID_PRIVEZ
WHERE R.STORNO IS NULL AND R.DATUM_DO IS NOT NULL
UNION ALL
SELECT R.ID AS ID_REZERVAC, -D.ID_REZERVAC_DETAIL, R.ID_POGODBE, R.DATUM_DO AS RD_DATE_FROM, TRUNC(SYSDATE) + 1 AS RD_DATE_TO,
RDNP.OBJEKT AS RD_OBJEKT, RDNP.N_PRIVEZA AS RD_N_PRIVEZA, RDNP.ID_PRIVEZ AS RD_ID_PRIVEZ, R.VRSTA, -10 AS RD_STATUS_REZERVAC, D.COMPLETE AS RD_COMPLETE, D.VRSTA AS RD_VRSTA,
R.ID_LASTNIKA, R.ID_PLOVILA, NNO.OBJECT_TYPE, NNO.OBLIKA AS NNOBJEKT_OBLIKA, NNO.CENTER_POZICIJA_PLOVILA AS CENTER_POZICIJA_PLOVILA, MP.OBJEKT AS POGODBA_OBJEKT, MP.N_PRIVEZA AS POGODBA_N_PRIVEZA, R.DATUM_REZERVACIJE AS R_DATE_FROM, R.DATUM_DO AS R_DATE_TO,
RNP.OBJEKT AS R_OBJEKT, RNP.N_PRIVEZA AS R_N_PRIVEZA, RNP.ID_PRIVEZ AS R_ID_PRIVEZ, R.STATUS_REZERVAC AS R_STATUS_REZERVAC,
NS.DOLZINA AS DOLZINA_PRIVEZA, NS.SIRINA AS SIRINA_PRIVEZA, NS.TRANS_X AS TRANS_X_PRIVEZA, NS.TRANS_Y AS TRANS_Y_PRIVEZA, NS.ROT_DEGREES AS ROT_DEGREES_PRIVEZA,
RD.TRANS_X AS TRANS_X_PLOVILA, RD.TRANS_Y AS TRANS_Y_PLOVILA, RD.ROT_DEGREES AS ROT_DEGREES_PLOVILA, R.KOMENTAR, K.ID_MEMBER AS KUPCI_ID_MEMBER, VPR.NNLOCATION_ID AS R_ID_LOCATION, VPD.NNLOCATION_ID AS RD_ID_LOCATION,
(CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN R.NAZIV ELSE K.PRIIMEK END) AS NAZIV,
(CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN R.PRIIMEK ELSE K.PRIIMEK END) AS PRIIMEK,
(CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN R.IME ELSE K.IME END) AS IME, K.SALDAKONTI_SIT,
(CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN R.EMAIL ELSE K.EMAIL END) AS EMAIL,
(CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN R.TELEFON ELSE K.TELEFON_1 END) AS TELEFON,
(CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN NULL ELSE K.TELEX END) AS TELEX,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.PLOVILO ELSE P.IME END) AS PLOVILO,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.DOLZINA ELSE P.DOLZINA END) AS DOLZINA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.SIRINA ELSE P.SIRINA END) AS SIRINA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.VISINA ELSE P.VISINA END) AS VISINA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.GREZ ELSE P.GREZ END) AS GREZ,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.NTIP ELSE P.NTIP END) AS NTIP,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.OPIS ELSE NT.OPIS END) AS TIP_PLOVILA_LONG,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.NNTIP_TYPE ELSE NT.NNTIP_TYPE END) AS NNTIP_TYPE,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.DOLZINA ELSE NT.DOLZINA END) AS NNTIP_DOLZINA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.SIRINA ELSE NT.SIRINA END) AS NNTIP_SIRINA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.VISINA ELSE NT.VISINA END) AS NNTIP_VISINA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NULL ELSE P.REGISTRSKA_N END) AS REGISTRSKA_N,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NULL ELSE P.NZASTAVA END) AS NZASTAVA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NULL ELSE ND.OPIS END) AS NZASTAVA_LONG,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.BARVA ELSE NT.BARVA END) AS BARVA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.SVG_OBLIKA_TOP ELSE NT.SVG_OBLIKA_TOP END) AS SVG_OBLIKA_TOP,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.SVG_OBLIKA_FRONT ELSE NT.SVG_OBLIKA_FRONT END) AS SVG_OBLIKA_FRONT,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NULL ELSE P.PROIZVAJALEC END) AS PROIZVAJALEC
FROM REZERVAC R
JOIN REZERVAC_DETAIL D ON R.ID=D.ID_REZERVAC
LEFT OUTER JOIN NNPRIVEZ RDNP ON D.ID_PRIVEZ=RDNP.ID_PRIVEZ
LEFT OUTER JOIN NNPRIVEZ RNP ON R.ID_PRIVEZ=RNP.ID_PRIVEZ
LEFT OUTER JOIN KUPCI K ON K.ID = R.ID_LASTNIKA
LEFT OUTER JOIN PLOVILA P ON P.ID = R.ID_PLOVILA
LEFT OUTER JOIN NNTIP NT ON NT.SIFRA = P.NTIP
LEFT OUTER JOIN NNTIP NTR ON NTR.SIFRA = R.NTIP
LEFT OUTER JOIN NNDRZAVE ND ON ND.SIFRA = P.NZASTAVA
LEFT OUTER JOIN NNOBJEKT NNO ON NNO.SIFRA = RDNP.OBJEKT
LEFT OUTER JOIN M_POGODBE MP ON MP.ID_POGODBE = R.ID_POGODBE
LEFT OUTER JOIN NNPRIVEZ_SVG NS ON NS.ID_PRIVEZ = D.ID_PRIVEZ
LEFT OUTER JOIN REZERVAC_DETAIL_SVG RD ON RD.ID_REZERVAC_DETAIL = -D.ID_REZERVAC_DETAIL
LEFT OUTER JOIN V_PRIVEZ_LOCATION VPR ON VPR.ID_PRIVEZ = R.ID_PRIVEZ
LEFT OUTER JOIN V_PRIVEZ_LOCATION VPD ON VPD.ID_PRIVEZ = D.ID_PRIVEZ
WHERE R.STORNO IS NULL AND R.DATUM_DO IS NOT NULL 
AND R.STATUS_REZERVAC = 1 AND R.DATUM_DO <= TRUNC(SYSDATE) AND D.ID_REZERVAC_DETAIL IN 
(SELECT ID_REZERVAC_DETAIL FROM REZERVAC_DETAIL WHERE DATUM_DO = 
(SELECT MAX(D2.DATUM_DO) FROM REZERVAC_DETAIL D2 WHERE D2.STATUS_REZERVAC = 1 AND D2.COMPLETE = 'Y' AND D2.ID_REZERVAC = R.ID))
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (766, SYSDATE, '5.5', 686, 'VRezervac');